Quickstart
Get an API key
Sign in to the World Labs Platform with your Marble account.If you don’t have a Marble account, you’ll be prompted to create one.
Visit the billing page.Add a payment method to your account and then purchase some credits to get started.
Generate an API key from the API keys page.
Create your first world
To verify your development setup is working, we recommend creating a world from only a text prompt.You can also create a world from an image, multiple images of the same scene, or a video.
Iterate more quickly with
Marble 0.1-mini (equivalent to Draft in Marble).This example uses Marble 0.1-plus by default for best quality. If you’re iterating or debugging, you can use Marble 0.1-mini for much faster (30-45s) and cheaper generations.To use it, add "model": "Marble 0.1-mini" to your request body.- Text input
- Image input
- Multi-image input
- Video input
Make a This will return an Operation object.
POST request to the /marble/v1/worlds:generate endpoint.Request
Poll the This will return an Operation object. If the operation is not done, it will return a World generation should take about 5 minutes to complete. Once the world is generated, the You can view the generated world in Marble at
/marble/v1/operations/{operation_id} endpoint until the operation is done.200 status code and the Operation object will have a done field set to false:done field will be set to true and the response field will contain the generated World:The
response field contains a snapshot of the World at the time the operation completed. This allows you to access the generated assets without making a separate API call. Note that some fields like display_name, created_at, updated_at, world_prompt, and model may be empty or null in this snapshot. Use the GET /marble/v1/worlds/{world_id} endpoint to fetch the complete, up-to-date world.https://marble.worldlabs.ai/world/{world_id}.(Optional) Get the latest world
If you need to fetch the most up-to-date version of the world later, use the This returns the latest version of the world:The world object includes:
world_id to retrieve it.Request
assets.splats.spz_urls: 3D Gaussian splat files in SPZ format (100k, 500k, and full resolution)assets.mesh.collider_mesh_url: Collider mesh in GLB formatassets.imagery.pano_url: Panorama imageassets.caption: AI-generated description of the worldassets.thumbnail_url: Thumbnail image for the worldworld_prompt: The prompt used to generate the world (may be recaptioned)model: The model used for generation